Uploaded image for project: 'Qt Creator'
  1. Qt Creator
  2. QTCREATORBUG-20920

OpenGL issues when running software from QtCreator

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Not Evaluated
    • Resolution: Duplicate
    • Affects Version/s: Qt Creator 4.7.0
    • Fix Version/s: None
    • Component/s: All Other Issues
    • Labels:
      None
    • Environment:
      Windows 10 Pro
      QtCreator 4.7
      Qt 5.10.1
    • Platform/s:
      Windows

      Description

      I am encountering a bug with QtCreator while developing a software using OpenGL (3D rendering).
      It happens since I have upgraded Qt components (see the qt_update.png picture for details).

      Before I upgrade from QtCreator 4.5 to 4.7, my software was running fine when launched from QtCreator.
      Since the update, and only when I run my software from QtCreator, I have a lot of logs about OpenGL errors and issues. I had no warning/error when using QtCreator 4.5.

      Moreover, the same executable works perfectly if I run it from file explorer, without using QtCreator though. It displays the 3D scene as expected (run_outside_qtcreator.png).
      When I run my software from QtCreator 4.7, I only see a gray window before the app crashes (run_inside_qtcreator.png).

      Finally, I have imported my Qt project into Visual Studio 2017 (to test from another IDE). I have built it and run it from Visual Studio. It works as well.
      So, only QtCreator 4.7 seems to lead to this issue.

      Here is a part of the logs when launching the application from QtCreator 4.7 :

       

      QOpenGLTexture::setMipBaseLevel: requires OpenGL >= 1.2 or OpenGL ES >= 3.0
      QOpenGLTexture::setMipMaxLevel: requires OpenGL >= 1.2 or OpenGL ES >= 3.0
      class QOpenGLTexture *__cdecl Qt3DRender::Render::GLTexture::buildGLTexture(void) could not find a matching OpenGL ES 2.0 unsized texture format
      QOpenGLTexture::setMipBaseLevel: requires OpenGL >= 1.2 or OpenGL ES >= 3.0
      QOpenGLTexture::setMipMaxLevel: requires OpenGL >= 1.2 or OpenGL ES >= 3.0
      FBO incomplete
      FBO incomplete
      FBO incomplete
      QOpenGLTexture::setMipBaseLevel: requires OpenGL >= 1.2 or OpenGL ES >= 3.0
      QOpenGLTexture::setMipMaxLevel: requires OpenGL >= 1.2 or OpenGL ES >= 3.0
      class QOpenGLTexture *__cdecl Qt3DRender::Render::GLTexture::buildGLTexture(void) could not find a matching OpenGL ES 2.0 unsized texture format
      QOpenGLTexture::setMipBaseLevel: requires OpenGL >= 1.2 or OpenGL ES >= 3.0
      QOpenGLTexture::setMipMaxLevel: requires OpenGL >= 1.2 or OpenGL ES >= 3.0
      FBO incomplete
      FBO incomplete
      FBO incomplete
      FBO incomplete
      FBO incomplete
      FBO incomplete
      FBO incomplete
      FBO incomplete
      FBO incomplete
      QOpenGLShader::compile(Vertex): ERROR: 0:1: '140' : version number not supported
      ERROR: 0:7: 'in' : storage qualifier supported in GLSL ES 3.00 only
      ERROR: 0:8: 'in' : storage qualifier supported in GLSL ES 3.00 only
      ERROR: 0:10: 'out' : storage qualifier supported in GLSL ES 3.00 only
      ERROR: 0:11: 'out' : storage qualifier supported in GLSL ES 3.00 only
      ERROR: 0:12: 'out' : storage qualifier supported in GLSL ES 3.00 only
      
      *** Problematic Vertex shader source code ***
      #version 140
      #line 1
      
      uniform mat4 mvp;
      uniform mat4 modelView;
      uniform mat3 modelViewNormal;
      uniform vec4 meshColorID;
      
      in vec4 vertexPosition;
      in vec3 vertexNormal;
      
      out vec4 color0;
      out vec3 position0;
      out vec3 normal0;
      
      void main()
      {
          color0 = meshColorID;
          position0 = vec3(modelView * vertexPosition);
          normal0 = normalize(modelViewNormal * vertexNormal);
          gl_Position = mvp * vertexPosition;
      }
      
      ***
      QOpenGLShader::compile(Fragment): ERROR: 0:1: '140' : version number not supported
      ERROR: 0:2: 'in' : storage qualifier supported in GLSL ES 3.00 only
      ERROR: 0:2: '' : No precision specified for (float)
      ERROR: 0:3: 'in' : storage qualifier supported in GLSL ES 3.00 only
      ERROR: 0:3: '' : No precision specified for (float)
      ERROR: 0:4: 'in' : storage qualifier supported in GLSL ES 3.00 only
      ERROR: 0:4: '' : No precision specified for (float)
      ERROR: 0:6: 'out' : storage qualifier supported in GLSL ES 3.00 only
      ERROR: 0:6: '' : No precision specified for (float)
      ERROR: 0:7: 'out' : storage qualifier supported in GLSL ES 3.00 only
      ERROR: 0:7: '' : No precision specified for (float)
      ERROR: 0:8: 'out' : storage qualifier supported in GLSL ES 3.00 only
      ERROR: 0:8: '' : No precision specified for (float)
      
      *** Problematic Fragment shader source code ***
      #version 140
      #line 1
      
      in vec4 color0;
      in vec3 position0;
      in vec3 normal0;
      
      out vec4 color;
      out vec3 position;
      out vec3 normal;
      
      void main()
      {
          color = color0;
          position = position0;
          normal = normal0;
      }
      

       

       

        Attachments

        1. qt_update.png
          19 kB
          Denis CARLUS
        2. run_inside_qtcreator.png
          7 kB
          Denis CARLUS
        3. run_outside_qtcreator.png
          234 kB
          Denis CARLUS

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              con Eike Ziller
              Reporter:
              denisc Denis CARLUS
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes